# Practicum Neurale Netwerken

set title "Inleiding en Feedforward Netwerken, Opgave 3"

set xrange [0.0:1.0]
set yrange [0.0:1.0]
set zrange [0.0:1.0]
set samples 20
set isosamples 11
set nogrid
set key
set xlabel "x1"
set ylabel "x2"
set zlabel "y"
set dummy x1, x2

step (x) = (x > 0.0) ? 1.0 : 0.0

w0 = -1.0
w1 =  2.0
w2 =  2.0

unit (x1, x2) = step (w0 + w1 * x1 + w2 * x2)

splot unit (x1, x2)

pause -1 "Toets ENTER voor vervolg..."
